function::fullpath_struct_file
Prev | Chapter 21. Directory-entry (dentry) Tapset | Next

## Name

function::fullpath_struct_file — get the full path

## Synopsis

        fullpath_struct_file:string(task:long,file:long)

## Arguments

`task`

  task_struct pointer.

`file`

  Pointer to “struct file”.

## Description

Returns the full dirent name (full path to the root), like the kernel d_path function.

Prev | Up | Next
function::d_path | Home | function::fullpath_struct_nameidata